.single-post-content{
	margin: var(--block-margin) auto;
    max-width: 100%;
}

.single-post-content-header-inner{
    max-width: var(--wide-width);
    margin: var(--row-gap) auto;
    display: grid;
    grid-template-columns: minmax(0, 1fr);
    column-gap: var(--column-gap);
    row-gap: var(--row-gap);
    align-items: center;
}

.single-post-content .breadcrumbs {
    max-width: var(--wide-width);
}

.single-post-content-header-inner h1{
    grid-column: 1;
    grid-row: 1;
    font: var(--font-headline-4);
    margin-bottom: 0;
}

.single-post-content-header-inner-content {
    grid-column: 1;
}

.single-post-content-header-inner-content-meta{
    margin-bottom: 2em;
    display: flex;
    column-gap: var(--item-column-gap);
    row-gap: var(--item-row-gap);
}

.single-post-content-header-inner time{
    display: block;
}

.single-post-content-share{
    padding: 0;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    column-gap: calc(var(--item-column-gap) / 2);
    row-gap: var(--item-row-gap);
}

.single-post-content-share li{
    display: block;
    list-style: none;
}

.single-post-content-share li a{
    display: block;
}

.single-post-content-share li a svg{
    width: 3.2rem;
    height: 3.2rem;
}

.single-post-content-share li a svg:last-child:not(:first-child){
    display: none;
}

.single-post-content-share li a svg *{
    transition: all 0.3s ease;
}

.single-post-content-share li a svg rect{
    fill: var(--primary-button-background-color);
}

.single-post-content-share li a:is(:hover, :focus, :active) svg rect{
    fill: var(--primary-button-hover-background-color);
}

.single-post-content-share li a:is(:hover, :focus, :active) svg path{
    opacity: 0.7;
}

.single-post-content-header-inner-image img{
    border-radius: var(--element-border-radius);
    aspect-ratio: 1;
    object-fit: cover;
    object-position: center top;
    box-shadow: var(--element-box-shadow);
}

.single-post-content-inner{
    margin: var(--block-margin) 0;
}

.single-post-content-inner figure{
    margin-bottom: calc(1em * var(--primary-line-height));
}

.single-post-content-inner figure img{
    border-radius: var(--element-border-radius);
    box-shadow: var(--element-box-shadow);
}

.single-post-content-inner figure figcaption {
    font: var(--font-body-small);
    font-style: italic;
    text-align: center;
}

.single-post-content-footer{
    margin: var(--block-margin) 0;
}

.single-post-content-footer-inner{
    max-width: min(var(--wide-width), var(--full-width));
    margin: 0 auto;
    display: grid;
    grid-template-columns: minmax(0, 1fr);
    column-gap: var(--column-gap);
    row-gap: var(--row-gap);
    align-items: end;
}

.single-post-content-footer-categories{
    padding: 0;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    column-gap: 0.6rem;
    row-gap: 0.6rem;
}

.single-post-content-footer-categories li{
    display: block;
    list-style: none;
}

.single-post-content-footer-categories li a{
    display: block;
    font: var(--font-body-xsmall);
}

.single-post-content-footer-share span{
    display: block;
    font: var(--font-headline-8);
    margin-bottom: 1em;
}

@media (max-width: 767px) {
    iframe {
        width: 100%;
    }
}

@media (min-width: 768px){
    .single-post-content-header-inner{
        grid-template-columns: minmax(0, 6fr) minmax(0, 5fr);
    }

    .single-post-content-header-inner-content {
        grid-column: 1;
        grid-row: 1;
    }

    .single-post-content-header-inner-image {
        grid-column: 2;
        grid-row: 1;
    }

    .single-post-content-footer-inner {
        grid-template-columns: minmax(0, 1fr) minmax(0, 2fr);
    }

    .single-post-content-header-inner h1 {
        grid-column: 1;
        grid-row: 1;
    }

    .single-post-content-footer-categories {
        order: 2;
        justify-content: flex-end;
    }
}